/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTJob_inl__
#define __RTJob_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTJob_h__
#include <RTJob.h>
#endif

RTS_INLINE RTJob::Phase RTJob::phase( void ) const
{
    return _phase;
}

RTS_INLINE void RTJob::enter( Phase p )
{
    _phase = p;
}

#endif // __RTJob_inl__
