/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTLibSet_h__
#define __RTLibSet_h__ included

// WC++-10.6 does have built-in support for the 'bool' type.
enum bool { false, true };

// WC++-10.6 does not support the 'const_cast' keyword.
#define RTConstCast( type, value ) ( (type *)( value ) )

// WC++-10.6 does not support the 'explicit' keyword.
#define explicit

// WC++-10.6 has trouble with nested classes with the same name in a
// superclass and a subclass.  It seems to resolve nested class in the
// superclass.  This turns on qualifying the name of the nested class
// to force it to resolve to the subclass.
#define RTQUALIFY_NESTED 1

#endif // __RTLibSet_h__
