/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAbortController.h>
#include <RTDiag.h>

//lint -save -e1738
RTAbortController::RTAbortController( const RTAbortController & )
    : RTPeerController( (RTDebugger *)0, (const char *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTAbortController( const RTAbortController & )'" );
}
//lint -restore

RTAbortController & RTAbortController::operator=( const RTAbortController & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTAbortController::operator=( const RTAbortController & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
