/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLayerConnector.h>
#include <RTMemoryUtil.h>

RTLayerConnector::NameBuffer &
RTLayerConnector::NameBuffer
::operator=( const RTLayerConnector::NameBuffer & rhs )
{
    if( this != &rhs )
    {
	if( (value = rhs.value) != (const char *)0 )
	{
	    int length = RTMemoryUtil::strlen( value );

	    if( length < (int)sizeof( small_buffer ) )
	    {
		RTMemoryUtil::strcpy( small_buffer, value, length );
		value = small_buffer;
	    }
	    else
	    {
		delete [] large_buffer;

		large_buffer = new char [ (unsigned)length + 1U ];
		RTMemoryUtil::strcpy( large_buffer, value, length );
		value = large_buffer;
	    }
	}
    }

    return *this;
}
