/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTPriority.h>

int RTPriority::lookup( const char * string )
{
    if( RTMemoryUtil::strcmp( string, "General"     ) == 0 ) return General;
    if( RTMemoryUtil::strcmp( string, "Panic"       ) == 0 ) return Panic;
    if( RTMemoryUtil::strcmp( string, "High"        ) == 0 ) return High;
    if( RTMemoryUtil::strcmp( string, "Low"         ) == 0 ) return Low;
    if( RTMemoryUtil::strcmp( string, "Background"  ) == 0 ) return Background;
    if( RTMemoryUtil::strcmp( string, "System"      ) == 0 ) return System;
    if( RTMemoryUtil::strcmp( string, "Synchronous" ) == 0 ) return Synchronous;

    return Default;
}
