/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTQueue.h>

RTQueue::RTQueue( const RTQueue & other )
    : head( (Block *)0 )
    , tail( (Block *)0 )
{
    Iterator   iterator( other );
    void     * data;

    while( (data = iterator.next()) != (void *)0 )
	add( data );
}
