/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSequenceOf.h>

RTSequenceOf::RTSequenceOf( int                   _size,
			    const RTDataObject ** _contents )
    : RTDataObject()
    , size ( 0 )
    , array( (RTDataObject **)0 )
{
    if( _size > 0 )
    {
	size  = _size;
	array = new RTDataObject * [ (unsigned)size ];

	for( int index = 0; index < size; ++index )
	{
	    if( _contents[ index ] != (const RTDataObject *)0 )
		array[ index ] = _contents[ index ]->copy();
	    else
		array[ index ] = (RTDataObject *)0;
	}
    }
}
