/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_nonblocking( int sock )
{
    int flag = 1;

    //lint -save -e740 -e569 -e912 -e917
    while( INET_ioctl( sock,
		       FIONBIO,
		       &flag ) != 0 )
    //lint -restore
    {
#ifdef INET_EINTR
	if( INET_error( sock ) == INET_EINTR )
	    continue;
#endif

	return 0;
    }

    return 1;

}
