/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTMutex_h__
#define __RTMutex_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTNucleus_h__
#include <RTNucleus.h>
#endif

class RTMutex
{
public:
		    RTMutex( void );
		    ~RTMutex( void );

    void            enter( void );
    void            leave( void );

private:
    NU_SEMAPHORE    semaphore;

    // unavailable methods
    RTMutex( const RTMutex & );
    RTMutex & operator=( const RTMutex & );
};

#endif // __RTMutex_h__
