/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTMutex.h"
#endif

#include <RTDiag.h>
#include <RTMutex.h>
#include <RTVrtx.h>

#include <vrtxil.h>

RTMutex::~RTMutex( void )
{
    if( mutex != 0 )
    {
	int err;

	sc_mdelete( mutex, VrtxFailIfPended, &err );

	if( err != RET_OK )
	    RTDiag::panic( "sc_mdelete" );

	mutex = 0;
    }
}
