#! perl -w

# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $#ARGV < 0 )
{
    print STDERR "Usage: ${0} [-f] file ...\n";
    exit 1;
}

$force = 0;

if( $ARGV[0] eq '-f' )
{
    $force = 1;
    shift @ARGV;
}

foreach $file ( @ARGV )
{
    if( ! unlink( $file ) && ! $force )
    {
	print STDERR "$file: $!\n";
	exit 1;
    }
}
