# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $HostInfo = `uname -sr`;

    if( $HostInfo =~ m{^SunOS 5\.} )
    {
	$LYNX_301_ROOT = "$OS_HOME/Lynx/3.0.1/ppc";
	$LYNX_301_DEV  = "$LYNX_301_ROOT/cdk/sunos-xcoff-ppc";

	$LYNX_301_LIB  = "$LYNX_301_DEV/usr/lib/gcc-lib"
				    . "/ppc-xcoff-lynxos/2.7-97r1";

	$ENV{'PATH'}            = "$LYNX_301_DEV/usr/bin"
				. ":$LYNX_301_LIB"
				. ":$ENV{'PATH'}";

	$ENV{'LYNX_301_ROOT'}   =  $LYNX_301_ROOT;
	$ENV{'LIBRARY_PATH'}    = "$LYNX_301_ROOT/lib";
	$ENV{'GCC_EXEC_PREFIX'} = "$LYNX_301_ROOT/lib/";
    }
    elsif( $HostInfo =~ m{^LynxOS 3\.0\.} )
    {
	$LYNX_301_ROOT = '';
    }
    else
    {
	print STDERR "'$HostInfo' is not a supported host.\n";
	exit 1;
    }

    $ENV{'LYNX_301_INC'} = "$LYNX_301_ROOT/usr/include";
}

$preprocessor = "g++ -DPRAGMA -E -P >MANIFEST.i";
$target_base  = 'LYNX2';
$supported    = 'No';
