/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTCachedString.h"
#pragma implementation "RTCachedString.inl"
#endif

#include <RTCachedString.h>

RTCachedString::~RTCachedString( void )
{
    if( _entry != (Entry *)0 )
    {
	lock();
	unlink( _entry );
	unlock();
    }

#ifdef _lint
    _entry = (Entry *)0;
#endif
}
