/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLocalConnector.h>

RTLocalConnector::SapNode::SapNode( RTController * context,
				    SppNode      * _node,
				    RTProtocol   * _sap,
				    const char   * _name )
    : RTLayerData()
    , initial( _sap,      0 )
    , prev   ( (SapNode *)0 )
    , next   ( (SapNode *)0 )
    , node   ( _node        )
    , name   ( _name        )
{
    node->append( this );
    node->append( context, &initial );
}
