/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTObserver.h>
#include <RTTcpSocket.h>

//lint -save -e1738
RTObserver::RTObserver( const RTObserver & )
    : debugger   (  (RTDebugger *)0 )
    , socket     ( (RTTcpSocket *)0 )
    , observerId (                0 )
    , daemon     (    (RTDaemon *)0 )
    , daemons    (                  )
    , superDaemon(    (RTDaemon *)0 )
    , bufSize    (                0 )
    , bufUsed    (                0 )
    , inBuffer   (        (char *)0 )
    , haltByProbe(                0 )
    , resumeToRun(                0 )
    , lastFlowCmd(         FlowNone )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTObserver( const RTObserver & )'" );
}
//lint -restore

RTObserver & RTObserver::operator=( const RTObserver & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTObserver::operator=( const RTObserver & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
