/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTResourceMgr.h>

RTResourceMgr::RTResourceMgr( const RTResourceMgr & )
    : messages( (RTMessage      *)0 )
    , blocks  ( (RTMessageBlock *)0 )
#if USE_THREADS
    , access  ( (RTMutex        *)0 )
#endif
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTResourceMgr( const RTResourceMgr & )'" );
}

RTResourceMgr & RTResourceMgr::operator=( const RTResourceMgr & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTResourceMgr::operator=( const RTResourceMgr & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
