/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTSequenceOf.h>

int RTSequenceOf::operator==( const RTDataObject & _rhs ) const
{
    if( RTDataObject::operator==( _rhs ) == 0 )
	return 0;

    const RTSequenceOf & rhs = *(const RTSequenceOf *)&_rhs;

    if( size != rhs.size )
	return 0;

    for( int i = 0; i < size; ++i )
    {
	if( array[i] == (RTDataObject *)0 )
	{
	    if( rhs.array[i] != (RTDataObject *)0 )
		return 0;
	}
	else if( *(array[i]) != *(rhs.array[i]) ) //lint !e909
	{
	    return 0;
	}
    }

    return 1;
}
