/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTString.h>

RTString::RTString( const char * i )
    : RTDataObject()
    , Contents    ( (char *)0 )
{
    if( i != (const char *)0 )
	Contents = RTMemoryUtil::strdup( i );
}

RTString::RTString( const RTString & other )
    : RTDataObject( other )
    , Contents    ( (char *)0 )
{
    if( other.Contents != (char *)0 )
	Contents = RTMemoryUtil::strdup( other.Contents );
}
