/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTcpInBuffer.h>
#include <RTTcpSocket.h>

int RTTcpInBuffer::get( char & ch )
{
    if( get_offset >= put_offset )
    {
	// replenish buffer
	if( socket->hasData() == 0 )
	    return 0;

	int count = socket->read( buffer, (int)sizeof( buffer ) );

	if( count <= 0 )
	    return -1;

	get_offset = 0;
	put_offset = count;
    }

    ch = buffer[ get_offset++ ];

    return 1;
}
