/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorRef.h>
#include <RTDiag.h>
#include <RTTimerActor.h>

//lint -save -e1738
RTTimerActor::RTTimerActor( const RTTimerActor & other )
    : RTActor ( other.context(), other.getReference() )
    , pendingAbsolute()
    , pendingRelative()
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerActor( const RTTimerActor & )'" );
}
//lint -restore

RTTimerActor & RTTimerActor::operator=( const RTTimerActor & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerActor::operator=( const RTTimerActor & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
