/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTCmdLineObserver_h__
#define __RTCmdLineObserver_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTObserver_h__
#include <RTObserver.h>
#endif

class RTCmdLineObserver : public RTObserver
{
public:
		RTCmdLineObserver( RTDebugger  *,
				   RTTcpSocket *,
				   int           id,
				   const char  * initBuf = (const char *)0,
				   int           initLen = 0 );

    virtual     ~RTCmdLineObserver( void );

    virtual int evtRtsStatus( int daemonId, const RTEventInfo & );

    virtual int receiveData( void );

private:
    // unavailable methods
    RTCmdLineObserver( const RTCmdLineObserver & );
    RTCmdLineObserver & operator=( const RTCmdLineObserver & );
}; //lint !e1712

#endif // __RTCmdLineObserver_h__
