/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMemoryUtil.h>
#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_lookup( const char * host, RTinet_address * address )
{
    NU_HOSTENT entry;

    if( NU_Get_Host_By_Name( (char *)host, &entry ) != NU_SUCCESS )
	return 0;

    if( entry.h_length != (int)sizeof( *address ) )
	return 0;

    RTMemoryUtil::memcpy( address, entry.h_addr, (int)sizeof( *address ) );

    return 1;
}
